body {
  background-color: white;
  height: 100vh;
  width: 100vw;
  padding: 0;
  margin: 0;
  overflow: hidden;
}

.wrap {
  background-color: red;
  overflow: hidden;
  padding: 0;
  margin: 0;
  height: 100vh;
  width: 100vw;
}

.canvas-wrapper {
  position: absolute;
  overflow: hidden;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
}

.canvas-wrapper canvas {
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
}

/* LOADING */

body {
	-webkit-animation: fadein 3s; /* Safari, Chrome and Opera > 12.1 */
	   -moz-animation: fadein 3s; /* Firefox < 16 */
		-ms-animation: fadein 3s; /* Internet Explorer */
		 -o-animation: fadein 3s; /* Opera < 12.1 */
			animation: fadein 3s;
  }
  
  @keyframes fadein {
	from { opacity: 0; }
	to   { opacity: 1; }
  }
  
  /* Firefox < 16 */
  @-moz-keyframes fadein {
	from { opacity: 0; }
	to   { opacity: 1; }
  }
  
  /* Safari, Chrome and Opera > 12.1 */
  @-webkit-keyframes fadein {
	from { opacity: 0; }
	to   { opacity: 1; }
  }
  
  /* Internet Explorer */
  @-ms-keyframes fadein {
	from { opacity: 0; }
	to   { opacity: 1; }
  }
  
  /* Opera < 12.1 */
  @-o-keyframes fadein {
	from { opacity: 0; }
	to   { opacity: 1; }
  }

/* SCROLL BAR */

::-webkit-scrollbar {
	width: 1px;
}
  
  ::-webkit-scrollbar-track {
	background: white; 
  }
   
  ::-webkit-scrollbar-thumb {
	background: red; 
  }
  
  ::-webkit-scrollbar-thumb:hover {
	background: black; 
  }

  /* SELECTION */

  ::-moz-selection { 
	color: white;
	background: black;
  }
  
  ::selection {
	color: white;
	background: black;
  }